# Serialized Form

## Package org.sonatype.plexus.components.sec.dispatcher

### Class org.sonatype.plexus.components.sec.dispatcher.PasswordDecryptorException extends java.lang.Exception implements Serializable

### Class org.sonatype.plexus.components.sec.dispatcher.SecDispatcherException extends java.lang.Exception implements Serializable

## Package org.sonatype.plexus.components.sec.dispatcher.model

### Class org.sonatype.plexus.components.sec.dispatcher.model.Config extends java.lang.Object implements Serializable

### Serialized Fields

#### name

    java.lang.String name

name of this configuration.

#### properties

    java.util.List properties

Field properties.

### Class org.sonatype.plexus.components.sec.dispatcher.model.ConfigProperty extends java.lang.Object implements Serializable

### Serialized Fields

#### name

    java.lang.String name

name of this property.

#### value

    java.lang.String value

value of this property.

### Class org.sonatype.plexus.components.sec.dispatcher.model.SettingsSecurity extends java.lang.Object implements Serializable

### Serialized Fields

#### configurations

    java.util.List configurations

Field configurations.

#### master

    java.lang.String master

encrypted master password.

#### modelEncoding

    java.lang.String modelEncoding

Field modelEncoding.

#### relocation

    java.lang.String relocation

reference to the location of the security file.